<template>
	<view class="container">
		<view v-for="item in minorMenuLists.filter(v=>v.isShow)" :key="item.title" @click="goteam(item)" class="liBox">
			<view class="infoBox">
				<!-- <image :src="'/static/moduleIcon/'+item.icon+'.png'" alt="" srcset="" mode="widthFix"></image> -->
				<view class="infoBoxtext">{{item.title}}</view>
			</view>
			<view class="iconBox">
				<i class="iconfont icon-youjiantou"></i>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				minorMenuLists:[
					{title:'成员信息',icon:'shareEcode',link:'',isOpen:true,isShow:true,type: 1},
					{title:'团队业绩',icon:'card',link:'',isOpen:true,isShow:true,type: 2},
				]
			}
		},
		methods: {
			goteam(item) {
				console.log(item)
				if(item.type===1){
					uni.navigateTo({
						url:`/pages/personalCenter/teamMembers/teamMembers`,
					})
				}else{
					uni.navigateTo({
						url:`/pages/personalCenter/teamPerformance/teamPerformance`,
					})
				}
			},
		},
		onLoad() {

		},
		mounted() {
		}
	}
</script>

<style lang="scss">
	.container{
		height: 100%;
	}
	.liBox{
		display: flex;
		margin: 50px 30px;
		padding: 8px 0;
		justify-content: space-between;
		border-bottom: 1px solid   #F2F2F2;
	}
	.infoBoxtext{
		width: 64px;
		height: 24px;
		font-size: 16px;
		font-weight: 400;
		border-bottom:3px transparent solid;
		border-image:linear-gradient(to right,#FA882F,#FFCCCC) 0.5 10;
	}
</style>